*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #fdfdfd;
    --bg-color2: #f9f9f9;
    --text-color: #2d2e32;
    --main-color: #2d2e32;
    --white-color: #fdfdfd;
    --curious-color: #fff;
    --curious-color2: #f9f9f9;
    --shadow-color: rgba(0, 0, 0, .2);

}

.dark-mode {
    /* --bg-color: #0b061f; */
    --bg-color: #0F0F0F;
    --text-color: #EBEBEB;
    --shadow-color: rgba(0, 0, 0, .7);
    --main-color: #EBEBEB;
    --curious-color: #212121;
    --curious-color2: #0F0F0F;
    /* SEA SALT WHITE: FCFAF9 */
}

.dark-mode img {
    filter: brightness(.8) contrast(1.2);
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
}

.img {
    overflow-clip-margin: content-box;
    overflow: clip;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 7%;
    /* background: transparent; */
    background: var(--curious-color);
    box-shadow: 0 0.1rem 1rem var(--shadow-color);
    display: flex;
    align-items: center;
    z-index: 100;
    transition: .5s;
}

.header.sticky {
    background: var(--bg-color);
    box-shadow: 0 .1rem 1rem var(--shadow-color);
}

.logo {
    font-size: 2.5rem;
    color: var(--main-color);
    font-weight: 600;
    cursor: default;
    margin-right: auto;
}

.navbar a {
    position: relative;
    font-size: 1.7rem;
    color: var(--main-color);
    font-weight: 800;
    margin-right: 3.5rem;
}

.header.sticky .navbar a {
    color: var(--text-color);
}

.header.sticky .navbar a.active {
    color: var(--main-color)
}

.navbar a.active::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 100%;
    height: .2rem;
    background: var(--main-color);
}

.header.sticky .navbar a::before {
    background: var(--main-color);
    opacity: .7;
}

#darkMode-icon {
    font-size: 2.4rem;
    color: var(--main-color);
    cursor: pointer;
}

.header.sticky #darkMode-icon {
    color: var(--text-color);
    opacity: .9;
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--text-color);
    display: none;
}

section {
    min-height: 100vh;
    padding: 10rem 7% 2rem;
}

.home {
    display: flex;
    align-items: center;
    background: #f9f9f9;
}

.home .home-content {
    max-width: 44rem;
}

.home-content h3 {
    font-size: 3.2rem;
    font-weight: 700;
    line-height: .8;
}

.home-content h1 {
    font-size: 5.6rem;
    font-weight: 700;
    margin-bottom: .6rem;
}

.home-content p {
    font-size: 1.6rem;
    width: auto;
}

.home-content .social-media a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    font-size: 2rem;
    color: var(--main-color);
    margin: 2.5rem 1.5rem 3rem 0;
    transition: .5s ease;
}

.home-content .social-media a:hover {
    background: var(--main-color);
    color: var(--white-color);
}

.btn {
    display: inline-block;
    padding: 1.2rem 2.8rem;
    background: var(--main-color);
    border-radius: .6rem;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    font-size: 1.6rem;
    color: var(--white-color);
    letter-spacing: .1rem;
    font-weight: 600;
    border: .2rem solid transparent;
    transition: .5s ease;
}

.dark-mode .btn {
    background: var(--curious-color2)
}

.dark-mode .footer {
    background: var(--curious-color2)
}

.dark-mode .footer-2 {
    background: var(--curious-color2)
}

.dark-mode .footer-2 a {
    color: var(--white-color);
}

.btn:hover {
    background: transparent;
    color: var(--main-color);
    border-color: var(--main-color)
}

.home .profession-container {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 768px;
    height: 768px;
    /* background: red; */
    overflow: hidden;
    pointer-events: none;
}

.home .profession-container .profession-box {
    position: absolute;
    top: 0;
    right: 0;
    width: 768px;
    height:768px;
    /* background: purple; */
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.home .profession-box .profession {
    position: absolute;
    left: 0;
    display: flex;
    align-items: center;
    flex-direction: column;
    color: var(--main-color);
    transform: rotate(calc(360deg / 4 * var(--i)));
    transform-origin: 384px;
    background: var(--bg-color2);
    padding: 13px 0;
}

.home .profession-box .profession:nth-child(1) i {
    margin-right: 15px;
}

.home .profession-box .profession:nth-child(2),
.home .profession-box .profession:nth-child(4) {
    padding-bottom: 20px;
}

.home .profession i {
    font-size: 3.8rem;
}

.home .profession h3 {
    font-size: 3.2rem;
    line-height: 1;
    font-weight: 600;
}

.home .profession-box .circle {
    width: 560px;
    height: 560px;
    /* background: red; */
    border: 3px solid var(--main-color);
    border-radius: 50%;
}


/* ADJUST COLOR OF HOME */
.home .profession-container .overlay {
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    border-top: 384px solid var(--main-color);
    border-right: 384px solid var(--main-color);
    border-bottom: 384px solid var(--main-color);
    border-left: 384px solid transparent;
}

.home-img img {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    pointer-events: none;
}

/* NEW HOME SECTION */
.hero {
    background-color: var(--curious-color2);
    display: flex;
    flex-direction: column;
    height: 100vh;
    position: relative;
    width: 100%;
}

.container {
    margin: 0 auto;
    max-width: 107rem;
    padding: 0 4rem;
}

.content {
    align-items: center;
    display: flex;
    gap: 10rem;
    height: 65rem;
    justify-content: center;
    position: relative;
}

.hero-main {
    align-items: center;
    display: flex;
    gap: 10rem;
    justify-content: center;
    position: relative;
}

.hero-text {
    display: flex;
    flex-direction: column;
    max-width: 50rem;
    position: relative;
}

.hero-text h1 {
    color: var(--text-color);
    font-size: 7.5rem;
    line-height: 1.2;
    margin-bottom: 2rem;
    margin-top: 2rem;
    font-weight: bold;
}

.hero-text p {
    color: #767676;
    font-family: Mulish,sans-serif;
    font-size: 2.2rem;
    font-weight: 500;
    line-height: 1.6;
}

.hero-text .social-media-2 a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    font-size: 3.75rem;
    margin: 0 1rem 1.5rem 0;
    color: var(--main-color);
}

.hero-text .social-media a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    font-size: 2rem;
    color: var(--main-color);
    margin: 2.5rem 1.5rem 3rem 0;
    transition: .5s ease;
}

.hero-img__side {
    border: .2rem solid var(--text-color);
    border-radius: 6.7rem;
    max-inline-size: 100%;
    block-size: auto;
    object-fit: cover;
    height: 41rem;
    width: 41rem;
}

.skills {
    align-items: center;
    bottom: 0;
    color: #767676;
    display: flex;
    font-size: 1.7rem;
    left: 0;
    position: absolute;
}

.skills p {
    border-right: 2px solid rgba(45,46,50,.5);
    color: #2d2e32;
    font-family: Mulish,sans-serif;
    font-weight: 600;
    margin-right: 7rem;
    padding-right: 2rem;
}

.skills ul {
    display: flex;
    flex-wrap: wrap;
    gap: 3rem;
    list-style: none;
}

.skills i {
    height: 5rem;
    transition: all .3s ease-in-out;
    width: 11rem;
}



/* ABOUT SECTION */
span {
    color: var(--main-color)
}

.about {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4rem;
    background: var(--curious-color);
}

.image-side {
    position: relative;
}

.about-img img {
    position: relative;
    object-fit: cover;
    block-size: auto;
    border-radius: 1.7rem;
    height: 41rem;
    width: 41rem;
    box-shadow: 0 0.1rem 1rem var(--shadow-color);
}

.heading {
    font-size: 4.5rem;
    text-align: left;
}

/* !!!!MAY CAUSE ISSUES!!! */
.about-content {
    align-items: center;
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
}

.image-side {
    position: relative;
}

.text-side {
    padding-right: 1.5rem;
}

.text-side h3 {
    color: #147efb;
    font-size: 1.7rem;
    font-weight: 700;
    margin-bottom: 1rem;
    text-transform: uppercase;
}

.text-side h4 {
    color: var(--text-color);
    font-size: 2.8rem;
    line-height: 1.4;
    margin-bottom: 2rem;
}

.text-side p {
    color: #767676;
    font-size: 1.7rem;
    font-weight: 500;
    line-height: 1.5;
}

.about h3 {
        display: block;
        font-size: 1.17em;
        margin-block-start: 1em;
        margin-block-end: 1em;
        margin-inline-start: 0px;
        margin-inline-end: 0px;
        font-weight: bold;
}

.about h4 {
        display: block;
        margin-block-start: .25em;
        margin-block-end: .25em;
        margin-inline-start: 0px;
        margin-inline-end: 0px;
        font-weight: bold;
}

.about p {
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

.image-side__main-img {
        border-radius: 1.7rem;
        height: 35rem;
        width: 41rem;
}

.about-content h2 {
    text-align: left;
    line-height: 1.2;
}

.about-content h3 {
    font-size: 2rem;
}

/* !!!!!! */
.about-content p {
    font-size: 1.6rem;
    padding: 2rem 0 2rem;
}

.about-content .social-media-2 a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    font-size: 3.75rem;
    margin: 0 1rem 1.5rem 0;
    color: var(--main-color);
}

.services {
    min-height: auto;
    padding-bottom: 7rem;
    background: #f9f9f9;
}

.services h2 {
    margin-bottom: 5rem;
}

.services .services-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.services-container-2 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

/* USE THIS TO CREATE BEAUTIFUL BOXES 40ish min mark*/
.services-container .services-box {
    flex: 1 1 30rem;
    background: var(--bg-color);
    padding: 3rem 2rem 4rem;
    border-radius: 2rem;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
    text-align: center;
    border-top: .6rem solid var(--main-color);
    border-bottom: .6rem solid var(--main-color);
    transition: .5s ease;
}

.services-container-2 .services-box-2 {
    flex: 1 1 30rem;
    background: var(--bg-color);
    padding: 3rem 2rem 4rem;
    border-radius: 2rem;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
    text-align: center;
}

.services-container .services-box:hover {
    box-shadow: 0 .1rem 2rem var(--shadow-color);
    transform: scale(1.02);
}

.services-box i {
    font-size: 7rem;
    color: var(--main-color);
}

.services-box h3 {
    font-size: 2.6rem;
    transition: .5s ease;
}

.services-box:hover h3 {
    color: var(--main-color);
}

.services-box p {
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
}

/* PORTFOLIO BEGINS HERE */

.r-portfolio {
    background-color: var(#f9f9f9);
    /* display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap; */
}

.pro-container {
    margin: 0 auto;
    max-width: 107rem;
    padding: 0 4rem;
    /* display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap; */
}

.reversed-proj {
    flex-direction: row-reverse!important;
}

#projects {
    padding-bottom: 8rem;
}

.project {
    background-color: var(--curious-color2);
}

.project-content {
    display: flex;
    flex-direction: column;
}

.project-content p {
    color: #147efb;
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 1rem;
    text-transform: uppercase;
}

.project-content h3 {
    color: var(--text-color);
    font-size: 2.8rem;
    margin-bottom: 6rem;
}

.projects-grid {
    grid-gap: 5rem;
    display: grid;
    gap: 5rem;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto;
    height: auto;
    width: 100%;
}

.projects-grid .pro {
    background-color: var(--curious-color);
    border-radius: 1.7rem;
    box-shadow: 0 0 10px rgba(0,0,0,.1);
    display: flex;
    text-align: center;
}

.projects-grid .pro__1 {
    flex-direction: row;
    gap: 8rem;
    height: 40rem;
    padding: 2rem;
}



.projects-grid .pro__img {
    background-color: hsla(0,0%,46%,.2);
    border-radius: 1.7rem;
    box-shadow: 0 0 10px rgba(0,0,0,.1);
    height: auto;
    overflow: hidden;
    width: 53rem;
}

.projects-grid .pro__img img {
    height: auto;
    width: 100%;
}

.projects-grid .pro__text {
    display: flex;
    flex-direction: column;
    height: auto;
    justify-content: center;
    text-align: center;
    width: 30rem;
}

.projects-grid .pro__text h3 {
        color: var(--text-color);
        font-size: 1.7rem;
        margin-bottom: 2rem;
        position: relative;
        text-transform: uppercase;
}

.projects-grid .pro__text p {
    color: #767676;
    font-size: 1.7rem;
    font-weight: 500;
    text-align: center;
    text-transform: none;
}

.stack {
    display: flex;
    gap: 1rem;
    justify-content: center;
    margin-top: 1rem;
}

.stack p {
        background-color: var(--curious-color2);
        box-shadow: 0 0 10px rgba(0,0,0,.1);
        color: var(--text-color)!important;
        font-family: Mulish,sans-serif!important;
        font-weight: 600!important;
        padding: 1rem 1.3rem;
}

.links {
    gap: 1rem;
    justify-content: space-evenly;
    margin-top: 3rem;
}

.links, .links a {
    align-items: center;
    display: flex;
}

.links a {
    color: var(--text-color);
    font-size: 1.7rem;
    font-weight: 500;
    gap: 5px;
    text-decoration: none;
}

.links a i {
    font-size: 2.4rem;
}




/* .portfolio {
    padding-bottom: 10rem;
}

.portfolio h2 {
    margin-bottom: 4rem;
}

.portfolio .portfolio-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.portfolio-container .portfolio-box {
    position: relative;
    display: flex;
    border-radius: 2rem;
    box-shadow: 0 0 1rem rgba(0, 0, 0, .1);
    overflow: hidden;
}

.portfolio-box img {
    width: 100%;
    transition: .5s ease;
}

.portfolio-box:hover img {
  transform: scale(1.1);  
}

.portfolio-box .portfolio-layer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, .1), var(--main-color));
    color: var(--white-color);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    opacity: 0;
    transition: .5s ease;
}

.portfolio-box:hover .portfolio-layer {
    opacity: 1;
}

.portfolio-layer h4 {
    font-size: 3rem;
}

.portfolio-layer p {
    font-size: 1.6rem;
    margin: .3rem 0 1rem;
}

.portfolio-layer a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    background: var(--white-color);
    border-radius: 50%;
}

.portfolio-layer a {
    font-size: 2rem;
    color: #333;
} */

.contact h2 {
    margin-bottom: 3rem;
}

#contact {
    background-color: var(--curious-color);
}

.contact p {
    color: #147efb;
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 1rem;
    text-transform: uppercase;
}

.contact form {
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

.contact form .input-box {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: var(--curious-color);
    border-radius: .8rem;
    margin: .7rem 0;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
}

.contact form .input-box input {
    width: 49%;
}

.contact form textarea {
    resize: none;
}

.contact form .btn {
    margin-top: 2rem;
    cursor: pointer;
}

.footer {
    display: flex;;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 5rem 9%;
    background: var(--main-color);
}

.footer-text p {
    font-size: 1.6rem;
    color: var(--white-color);
}

.footer-iconTop a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: var(--white-color);
    border-radius: .8rem;
    border: .2rem solid var(--main-color);
    outline: .2rem solid transparent;
    transition: .5s ease;
}

.footer-iconTop a:hover {
   outline-color: var(--white-color); 
}

.footer-iconTop a i {
    font-size: 2.4rem;
    color: #333;
}

/* FOOTER-2 */

.footer-2 {
    background-color: var(--main-color);
    padding: 5rem 0;
    width: 100%;
}

.footerc {
    align-items: center;
    display: flex; 
    justify-content: space-between;
}

.footer-2 h3 {
    color: var(--white-color);
    font-size: 2.2rem;
}

.footerc__socials {
    align-items: center;
    display: flex;
    gap: 2rem;
    justify-content: center;
    margin-top: 1rem;
}

.footerc__socials a {
    color: var(--curious-color);
    font-size: 3.3rem;
}

/* RESPONSIVE STYLING */
@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }

    .home .profession-container {
       height: 85.8rem; 
    }

    .home .profession-container .profession-box {
        right: -12rem;
        height: 85.8rem;
    }

    .home .profession-container .overlay {
        right: -9rem;
    }

    .r-portfolio {
        padding: 10rem 7% 2rem;
    }
}

@media (max-width: 1024px) {
    .header {
        padding: 2rem 3%;
    }

    section {
        padding: 10rem 3% 2rem;
    }

    .home .profession-container .profession-box {
        right: -22rem;
    }

    .home .profession-container .overlay {
        right: -15rem;
    } 
    /* .about {
        padding: 8rem 0;
    } */

    .about-img img {
        margin-bottom: 3.5rem;
    }

    .about {
        padding: 8rem 0;
    }

    .about-content {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .text-side {
        margin: 0 auto;
        max-width: 54rem;
    }

    .heading {
        text-align: center;
    }

    .r-portfolio {
        padding: 10rem 3% 2rem;
    }

    .projects-grid .pro__1 {
        flex-direction: column!important;
        gap: 3rem;
        height: 75rem;
        margin: 0 auto;
        /* width: -moz-fit-content;
        width: -webkit-fit-content; */
        width: fit-content;
    }

    .projects-grid .pro__1 {
        flex-direction: column!important;
        gap: 3rem;
        height: 75rem;
        margin: 0 auto;
        width: -moz-fit-content;
        width: -webkit-fit-content;
        width: fit-content;
    }

    .projects-grid .pro__text {
        margin: 0 auto;
    }
}

@media (max-width: 900px) {
    .navbar a:nth-child(1),
    .navbar a:nth-child(2) {
        color: var(--main-color);
    }

    .navbar a.active::before {
        background: var(--main-color);
        opacity: .7;
    }

    .home .home-content {
        max-width: 50rem;
    }

    .home .profession-container .profession-box {
        right: -45rem;
    }

    .home .profession-container .overlay {
        right: -39.5rem;
    }

    .home-img img {
        display: none;
    }

    .services,
    .portfolio {
        padding-bottom: 7rem;
    }

    .contact {
        min-height: auto;
    }

    .footer {
        padding: 2rem 3%;
    }

    .hero {
        height: auto;
        padding: 11rem 0;
    }

    .content {
        flex-direction: column;
        gap: 3rem;
        height: auto;
        text-align: center;
    }

    .hero-main {
        flex-direction: column-reverse;
        gap: 3rem;
        height: auto;
        text-align: center;
    }

    .hero-text img {
        right: 3rem;
    }

    .hero-text p {
        margin-bottom: 1rem;
    }

    .hero-text span {
        gap: 1.6rem;
        justify-content: center;
        margin-bottom: 4rem;
        margin-top: -2rem;
    }

    .skills {
        flex-direction: column;
        position: static;
    }
}

@media (max-width: 768px) {
    #menu-icon {
        display: block;
    }

    #darkMode-icon {
        position: absolute;
        right: 7rem;
        font-size: 2.6rem;
        color: var(--text-color);
        margin-bottom: .1rem;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: var(--bg-color);
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
        display: none;
    }

    .navbar.active {
        display: block;
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: var(--text-color);
    }

    .navbar a:nth-child(1),
    .navbar a:nth-child(2) {
        color: var(--text-color);
    }

    .navbar a.active {
        color: var(--main-color);
    }

    .navbar a::before {
        display: none;
    }

    .home {
        padding: 0 3% 23rem;
        justify-content: center;
        text-align: center;
    }

    .home-content h3 {
        font-size: 2.6rem;
    }

    .home-content h1 {
        font-size: 5rem;
    }

    .home-content .social-media a {
        margin: 2.5rem .75rem 3rem;
    }

    .home .profession-container {
        left: 0;
        width: 100%;
        height: 100%;
    }

    .home .profession-container .profession-box {
        position: fixed;
        top: 60%;
        left: 0;
        border-radius: 0;
        width: 100%;
    }

    .home .profession-box .profession:nth-child(1) {
        transform: rotate(-90deg) translate(-120px, -210px);
    }
    
    .home .profession-box .profession:nth-child(1) i {
        margin-right: 0;
    }

    .home .profession-box .profession:nth-child(2) {
        transform: rotate(0deg) translate(0, -335px);
    }
    
    .home .profession-box .profession:nth-child(3) {
        transform: rotate(90deg) translate(-115px, -450px);
    }
    
    .home .profession-box .profession:nth-child(4) {
        transform: rotate(180deg) translate(-220px, -335px);
    }

    .home .profession-box .circle {
        position: fixed;
        width: 670px;
        height: 670px;
        z-index: -1;
    }

    .home .profession-box .profession {
      padding: 0 13px;
      left: auto;
      transform-origin: 0;  
    }

    .home .profession-container .overlay {
        position: fixed;
        top: 70rem;
        left: 50%;
        right: 0;
        transform: rotate(90deg) translate(-50%, 50%) scaleY(3);
        border-width: 23.9rem;
    }

    .about {
        flex-direction: column-reverse;
        text-align: center;
    }

    .about-content h2 {
        text-align: center;
    }

    .about-img img {
        width: 70vw;
        margin-top: -2rem;
    }

    .services h2,
    .portfolio h2 {
        margin-bottom: 3rem;
    }

    .portfolio .portfolio-container {
        grid-template-columns: repeat(2, 1fr);
    }

    /* SKIPPED THE TESTIMONIAL 1:33 */
}

@media (max-width: 617px) {
    .portfolio .portfolio-container {
        grid-template-columns: 1fr;
    }

    .project-content {
        text-align: center;
    }

    .projects-grid .pro__img {
        width: 100%;
    }

    .contact p {
        text-align: center;
    }

    .footerc {
        flex-wrap: wrap;
        gap: 2rem;
        justify-content: center;
        text-align: center;
    }
}

@media (max-width: 450px) {
    html {
        font-size: 50%;
    }

    .container {
        padding: 0 1.7rem;
    }

    #darkMode-icon {
        right: 6rem;
    }

    .home {
        padding: 0 3% 30rem;
    }

    .hero-text h1 {
        font-size: 6.5rem;
    }

    .home .profession-box .profession:nth-child(1) {
        transform: rotate(-90deg) translate(-110px, -220px);
    }

    .home .profession-box .profession:nth-child(2) {
        transform: rotate(0deg) translate(5px, -335px);
    }

    .home .profession-box .profession:nth-child(3) {
        transform: rotate(90deg) translate(-105px, -440px);
    }

    .home .profession-box .profession:nth-child(4) {
        transform: rotate(180deg) translate(-210px, -335px);
    }

    .image-side__main-img {
        height: auto;
        width: 90%;
    }

    .contact form .input-box input {
        width: 100%;
    }
}

@media (max-width: 365px) {
    /* .about-img img {
        width: 90vw;
    } */

    .hero-text h1 {
        font-size: 5.5rem;
    }

    .footer { 
        flex-direction: column-reverse;
    }

    .footer p {
        text-align: center;
        margin-top: 2rem;
    }
}








